- Qt 5.15
- Qt WebSockets
- C++ Classes
- QWebSocketServer
- Qt 5.15.18 Reference Documentation

# Obsolete Members for QWebSocketServer

The following members of class QWebSocketServer are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` bool | setSocketDescriptor(int socketDescriptor)
`(obsolete)` int | socketDescriptor() const

## Member Function Documentation

### bool QWebSocketServer::setSocketDescriptor(int socketDescriptor)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Sets the socket descriptor this server should use when listening for incoming connections to socketDescriptor.

Returns true if the socket is set successfully; otherwise returns false. The socket is assumed to be in listening state.

This function was introduced in Qt 5.3.

See also socketDescriptor(), setSocketDescriptor(), nativeDescriptor(), and isListening().

### int QWebSocketServer::socketDescriptor() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Returns the native socket descriptor the server uses to listen for incoming instructions, or -1 if the server is not listening. If the server is using QNetworkProxy, the returned descriptor may not be usable with native socket functions.

This function was introduced in Qt 5.3.

See also nativeDescriptor(), setNativeDescriptor(), setSocketDescriptor(), and isListening().